Package org.wso2.carbon.task.util

## Class ConfigHolder

- java.lang.Object
- - org.wso2.carbon.task.util.ConfigHolder

-     public class ConfigHolder
      extends Object

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.wso2.carbon.utils.ConfigurationContextService` | `getConfigCtxSvc()` |
    `static ConfigHolder` | `getInstance()` |
    `JobMetaDataProviderServiceHandler` | `getJobMetaDataProviderServiceHandler()` |
    `TaskManagementServiceHandler` | `getTaskManagementServiceHandler()` |
    `void` | `setConfigCtxSvc​(org.wso2.carbon.utils.ConfigurationContextService configCtxSvc)` |
    `void` | `setJobMetaDataProviderServiceHandler​(JobMetaDataProviderServiceHandler jobMetaDataProviderServiceHandler)` |
    `void` | `setTaskManagementServiceHandler​(TaskManagementServiceHandler taskManagementServiceHandler)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static ConfigHolder getInstance()

    - #### setJobMetaDataProviderServiceHandler

          public void setJobMetaDataProviderServiceHandler​(JobMetaDataProviderServiceHandler jobMetaDataProviderServiceHandler)

    - #### getJobMetaDataProviderServiceHandler

          public JobMetaDataProviderServiceHandler getJobMetaDataProviderServiceHandler()

    - #### getTaskManagementServiceHandler

          public TaskManagementServiceHandler getTaskManagementServiceHandler()

    - #### setTaskManagementServiceHandler

          public void setTaskManagementServiceHandler​(TaskManagementServiceHandler taskManagementServiceHandler)

    - #### getConfigCtxSvc

          public org.wso2.carbon.utils.ConfigurationContextService getConfigCtxSvc()

    - #### setConfigCtxSvc

          public void setConfigCtxSvc​(org.wso2.carbon.utils.ConfigurationContextService configCtxSvc)